Skip to content
Get started

Updates a product attribute value across all products matching the old value.

PUT/api/v2/public/products/attributes

Updates a product attribute value across all products matching the old value.

Body ParametersJSONExpand Collapse
attribute: string

The attribute name to update.

minLength1
new_value: string

The new value to set.

minLength1
old_value: string

The current value to match.

minLength1

Updates a product attribute value across all products matching the old value.

curl https://api.colleqtive.net/api/v2/public/products/attributes \
    -X PUT \
    -H 'Content-Type: application/json' \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN" \
    -d '{
          "attribute": "x",
          "new_value": "x",
          "old_value": "x"
        }'
Returns Examples